Visit Jeremy's Blog.
Go Back > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Slackware This Forum is for the discussion of Slackware Linux.


  Search this Thread
Old 05-10-2004, 06:10 PM   #1
Registered: Mar 2004
Location: New York
Distribution: Gentoo, xubuntu
Posts: 91

Rep: Reputation: 15
installing older alsa version?

Hi guys,

I'm currently giving slackware a shot and everything worked well for the first day. After a swaret upgrade, my sound stopped working, so I beleive that the new alsa is to blame for this. How do I install the 9.1 version over the current? I changed back to 9.1 in swaret.conf, but it told me I already had alsa installed. btw, Alsaconf cant find any drivers, and volume control in gnome gives me a no devices found error.

Thank you
Old 05-10-2004, 06:22 PM   #2
Registered: Jan 2004
Distribution: Slackware 10.0|Damn Small Linux|NetBSD|Debian
Posts: 46

Rep: Reputation: 15
uninstall the old version and install a the old one (and screw swaret)

# removepkg <the name of the alsa pkg>
# installpkg <the name of the old alsa pkg>

or you could use swaret and in swaret.conf change it so that it will install older packages (its in a rule somewhere i forgot what it is exactly....
Old 05-10-2004, 07:15 PM   #3
Registered: Mar 2004
Location: New York
Distribution: Gentoo, xubuntu
Posts: 91

Original Poster
Rep: Reputation: 15
Thank you!

Something weird happened though (which makes me think you're right about swaret). I reverted back to the original alsa, and it detected my soundcard again. But then I did another swaret update and upgrade, and it installed an alsa version that was in between the original one and the current version that didn't work, which also didn't detect my sound card driver!

So I guess knowing which settings to edit so that I can install 9.1 software over current isn't much help, but does anyone know how to do it nonetheless?


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off

Similar Threads
Thread Thread Starter Forum Replies Last Post
Older Version Psycho(Clan) Linux - Newbie 3 04-02-2005 11:17 AM
using an older version of gcc win32sux Slackware 1 05-12-2004 01:53 AM
installing older version of perl - Mandrake 9.2 DogTags Mandriva 1 12-18-2003 07:16 AM
best version for older computer? jennyb Linux - Newbie 18 01-15-2003 02:13 PM
where can I get older version of mplayer? packman Linux - Software 8 11-03-2002 09:52 AM

All times are GMT -5. The time now is 10:47 AM.

Main Menu
Write for LQ is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration